# Returns billing summary information Returns billing summary information for customers including open vs previous bill run values Endpoint: GET /customer-billing-summaries Version: 1.49 Security: bearerAuth ## Query parameters: - `page` (integer, required) Page of results to show Example: 1 - `pageSize` (integer, required) Results to return per page Example: 100 - `sort` (string) Comma-delimited list of the fields to sort by - defaults to ascending order, suffix :desc to change Example: "id,name | name:desc" - `fields` (string) Comma-delimited list of the field(s) to return if only a subset is required Example: "id,name" - `customerId` (string) Filter by customer Example: "0" - `valueDifference` (string) Filter by the difference (absolute value) between the previous and the open bill run value Example: "xyz | in:x,y | like:xyz" - `percentageDifference` (string) Filter by the difference (as percentage) between the previous and the open bill run value Example: "xyz | in:x,y | like:xyz" - `adhocValueDifference` (string) Filter by the difference (absolute value) between the previous and the open adhoc bill run value Example: "xyz | in:x,y | like:xyz" - `adhocPercentageDifference` (string) Filter by the difference (as percentage) between the previous and the open adhoc bill run value Example: "xyz | in:x,y | like:xyz" - `ratingStatus` (string) Filter by rating status Example: "xyz | in:x,y | like:xyz" - `billingStatus` (string) Filter by customer billing status Example: "xyz | in:x,y | like:xyz" ## Response 200 fields (application/json): - `customerId` (integer) Customer identifier Example: 1 - `billingStatus` (string) Billing status of a customer Enum: "ACTIVE", "FIRST_INVOICE", "CEASED", "RESURRECTED", "NEVER_BILLED" - `ratingStatus` (string) Rating status of customer bill runs. If INCOMPLETE, then the bill run values are subject to change based on re-rating Enum: "COMPLETE", "INCOMPLETE" - `openBillRunValue` (number) Net value for this customer in the open bill run in major currency (e.g pounds/dollars/euros) Example: 100 - `previousBillRunValue` (number) Net value for this customer in the previous bill run in major currency (e.g pounds/dollars/euros) Example: 60 - `valueDifference` (number) The difference in monetary value between the previous and the open bill run net value Example: 40 - `percentageDifference` (number) The difference between the previous and the open bill run value as a percentage Example: 80 - `openAdhocValue` (number) Net value for this customer from all adhoc charges associated with the open bill run in major currency (e.g pounds/dollars/euros) Example: 50 - `previousAdhocValue` (number) Net value for this customer from adhoc charges associated with the previous bill run in major currency (e.g pounds/dollars/euros) Example: 45 - `adhocValueDifference` (number) The difference in monetary value between the previous and the open adhoc bill run net values Example: 5 - `adhocPercentageDifference` (number) The difference between the previous and the open adhoc bill run values as a percentage Example: 11.11 - `openBillRunRentalValue` (number) Net value of rental product inventories in the open bill run, in major currency (e.g pounds/dollars/euros) Example: 75 - `openBillRunRentalCount` (integer) Number of distinct rental product inventories included in the openBillRunRentalValue Example: 3 - `newRentalValue` (number) Net value of rental product inventories started during the open bill run period, in major currency (e.g pounds/dollars/euros) Example: 25 - `newRentalCount` (integer) Number of distinct rental product inventories included in the newRentalValue Example: 1 - `ceasedRentalValue` (number) Net value of rental product inventories during the open bill run period end date, in major currency (e.g pounds/dollars/euros) Example: 10 - `ceasedRentalCount` (integer) Number of distinct rental product inventories included in the ceasedRentalValue Example: 1 ## Response 400 fields ## Response 401 fields ## Response 403 fields